#ifndef DROPPABLE_LINE_EDIT_H
#define DROPPABLE_LINE_EDIT_H
#include <QObject>
#include <QLineEdit>
#include <QDropEvent>
#include <QDragEnterEvent>
class DroppableLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    DroppableLineEdit(QWidget *parent);
    ~DroppableLineEdit();
protected:
    void dragEnterEvent(QDragEnterEvent *event)override;
    void dragMoveEvent(QDragMoveEvent *event)override;
    void dropEvent(QDropEvent *event)override;
};
#endif // DROPPABLE_LINE_EDIT_H
